/*
 *  fpComplexConv.h
 *  fp
 *
 *  Created by Robert Delaney on 11/7/09.
 *  Copyright 2009 __MyCompanyName__. All rights reserved.
 *
 */

bool init(fpComplex& x);
void equate(fpComplex& z, const fpComplex& x);
void equate(fpComplex& z, const fp& x, const fp& y);
void equate(fpComplex& z, const mb& x, const mb& y);
void equate(fpComplex& z, double x, double y);
void equate(fpComplex& z, const fp& x);
void equate(fpComplex& z, const mb& x);
void equate(fpComplex& z, double x);
bool fpConvFromString(fpComplex& z, const char* inStringRe, const char* inStringIm);
bool fpConvFromString(fpComplex& z, const char* inString);
char* fpComplexToStr(const fpComplex& x, INT32 decPrec);
